## org.eclipse.datatools.sqltools.sql.util
Class DSEUtil

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.util.DSEUtil

    public class DSEUtil

extends java.lang.Object

Provides utility methods to navigate through the Data Source Explorer and find the desired information.

Author:
  Hui Cao

Constructor Summary
`DSEUtil()`

Method Summary
`static org.eclipse.datatools.sqltools.core.services.ActionService` `getActionService(org.eclipse.datatools.sqltools.core.DatabaseVendorDefinitionId vendorId)` Get the ActionService by DatabaseVendorDefinitionId
`static org.eclipse.datatools.sqltools.core.services.ActionService` `getActionService(IVirtualNode node)` Get the ActionService by virtual node
`static org.eclipse.datatools.sqltools.core.services.ActionService` `getActionService(SQLObject object)` Get the ActionService by SQLObject
`static org.eclipse.datatools.sqltools.core.services.ActionService` `getActionService(java.lang.String profileName)` Get the ActionService by profile name.
`static java.lang.String` `getProfileName(IVirtualNode _node)`
`static void` `refreshParent(SQLObject element)` Refreshes the parent object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSEUtil

    public DSEUtil()

Method Detail

### getProfileName

    public static java.lang.String getProfileName(IVirtualNode _node)

### refreshParent

    public static void refreshParent(SQLObject element)

  Refreshes the parent object. Only handles procedural objects now. TODO are there any straight forward way to get the parent node of an object?

  Parameters:
    `element` -

### getActionService

    public static org.eclipse.datatools.sqltools.core.services.ActionService getActionService(SQLObject object)

  Get the ActionService by SQLObject

  Parameters:
    `object` - the sql model
  Returns:
    the UIComponentService

### getActionService

    public static org.eclipse.datatools.sqltools.core.services.ActionService getActionService(IVirtualNode node)

  Get the ActionService by virtual node

  Parameters:
    `node` - the virtual node
  Returns:
    the ActionService

### getActionService

    public static org.eclipse.datatools.sqltools.core.services.ActionService getActionService(java.lang.String profileName)

  Get the ActionService by profile name. Clients need to check whether the profile exists before calling this method.

  Parameters:
    `profileName` - profile name
  Returns:
    the UIComponentService

### getActionService

    public static org.eclipse.datatools.sqltools.core.services.ActionService getActionService(org.eclipse.datatools.sqltools.core.DatabaseVendorDefinitionId vendorId)

  Get the ActionService by DatabaseVendorDefinitionId

  Parameters:
    `vendorId` -
  Returns:
    the UIComponentService